Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils
Class GenericIntervalList

    java.lang.Object
      org.mindswap.pellet.utils.GenericIntervalList

    public class GenericIntervalList

extends java.lang.Object

Nested Class Summary
`class` | `GenericIntervalList.Interval` An Interval is an immutable representation of a single contigous range of numbers from start to end.

Constructor Summary
`GenericIntervalList(GenericIntervalList il)`
`GenericIntervalList(java.lang.Object start, java.lang.Object end, ValueSpace comp)`
`GenericIntervalList(ValueSpace comp)`

Method Summary
`void` | `addInterval(java.lang.Object start, boolean incStart, java.lang.Object end, boolean incEnd)`
`void` | `addInterval(java.lang.Object start, java.lang.Object end)`
`void` | `addIntervalList(GenericIntervalList il)`
`boolean` | `contains(java.lang.Object value)`
`int` | `count()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `get(int n)` Return the `n`th object form this interval list.
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`java.lang.Object` | `max()`
`java.lang.Object` | `min()`
`void` | `removeInterval(java.lang.Object start, boolean incStart, java.lang.Object end, boolean incEnd)`
`void` | `removeIntervalList(GenericIntervalList il)`
`void` | `restrictToInterval(GenericIntervalList.Interval i)`
`void` | `restrictToInterval(java.lang.Object start, boolean incStart, java.lang.Object end, boolean incEnd)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericIntervalList

    public GenericIntervalList(java.lang.Object start,
                               java.lang.Object end,
                               ValueSpace comp)

### GenericIntervalList

    public GenericIntervalList(ValueSpace comp)

### GenericIntervalList

    public GenericIntervalList(GenericIntervalList il)

Method Detail

### isEmpty

    public boolean isEmpty()

### min

    public java.lang.Object min()

### max

    public java.lang.Object max()

### count

    public int count()

### addInterval

    public void addInterval(java.lang.Object start,
                            java.lang.Object end)

### addInterval

    public void addInterval(java.lang.Object start,
                            boolean incStart,
                            java.lang.Object end,
                            boolean incEnd)

### removeInterval

    public void removeInterval(java.lang.Object start,
                               boolean incStart,
                               java.lang.Object end,
                               boolean incEnd)

### addIntervalList

    public void addIntervalList(GenericIntervalList il)

### removeIntervalList

    public void removeIntervalList(GenericIntervalList il)

### restrictToInterval

    public void restrictToInterval(java.lang.Object start,
                                   boolean incStart,
                                   java.lang.Object end,
                                   boolean incEnd)

### restrictToInterval

    public void restrictToInterval(GenericIntervalList.Interval i)

### iterator

    public java.util.Iterator iterator()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### contains

    public boolean contains(java.lang.Object value)

### get

    public java.lang.Object get(int n)

  Return the `n`th object form this interval list. If the interval list is finite the numbers will be returned in increasing order. If the interval is unbounded in one direction (either the first or the last interval is infinite) then first all the values will in finite intervals will be returned and then the values in the infinite interval will be returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.